package com.ejie.ab79.model.preguntasRespuestas;

/**
 * PreguntasExpediente  
 * 
 *  
 */

public class PreguntasRespuestasExpediente implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private PreguntasExpediente preguntasExpediente;
	private RespuestasExpediente respuestasExpediente;
	private Integer excelErrorRow;

	/**
	 * Method 'PreguntasRespuestasExpediente'.
	 */
	public PreguntasRespuestasExpediente() {
	}

	/**
	 * Method 'PreguntasRespuestasExpediente'
	 * 
	 * @param preguntasExpediente
	 * @param respuestasExpediente
	 */
	public PreguntasRespuestasExpediente(PreguntasExpediente preguntasExpediente, RespuestasExpediente respuestasExpediente) {

		this.preguntasExpediente = preguntasExpediente;
		this.respuestasExpediente = respuestasExpediente;
	}

	/**
	 * Method 'getPreguntasExpediente'.
	 *
	 * @return PreguntasExpediente
	 */
	
	public PreguntasExpediente getPreguntasExpediente() {
		return preguntasExpediente;
	}

	/**
	 * Method 'setPreguntasExpediente'.
	 *
	 * @param preguntasExpediente PreguntasExpediente
	 * @return
    */

	public void setPreguntasExpediente(PreguntasExpediente preguntasExpediente) {
		this.preguntasExpediente = preguntasExpediente;
	}

	/**
	 * Method 'getRespuestasExpediente'.
	 *
	 * @return RespuestasExpediente
	 */

	public RespuestasExpediente getRespuestasExpediente() {
		return respuestasExpediente;
	}
	
	/**
	 * Method 'setRespuestasExpediente'.
	 *
	 * @param respuestasExpediente RespuestasExpediente
	 * @return
    */

	public void setRespuestasExpediente(RespuestasExpediente respuestasExpediente) {
		this.respuestasExpediente = respuestasExpediente;
	}

	/**
	 * Method 'getExcelRow'
	 * 
	 * @return Integer
	 */

	public Integer getExcelErrorRow() {
		return excelErrorRow;
	}

	/**
	 * Method 'setExcelErroRow'
	 * 
	 * @param excelErrorRow Integer
	 * @return
	 */
	
	public void setExcelErrorRow(Integer excelErrorRow) {
		this.excelErrorRow = excelErrorRow;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ preguntasExpediente: ").append(this.preguntasExpediente).append(" ]");
		result.append(", [ respuestasExpediente: ").append(this.respuestasExpediente).append(" ]");
		result.append("}");
		return result.toString();
	}

}
